Bug 1485896 - python-cryptography fernet.Fernet works intermittently under mod_wsgi when mod_ssl installed; errors out in hazmat/bindings/openssl/binding.py with "InternalError: Unknown OpenSSL error" [rhel-7.4.z]
Summary: python-cryptography fernet.Fernet works intermittently under mod_wsgi when mo...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: python-cryptography
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Nathaniel McCallum
QA Contact: ipa-qe
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1402235
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-28 11:46 UTC by Oneata Mircea Teodor
Modified: 2017-10-19 15:01 UTC (History)
10 users (show)

(edit)
Clone Of: 1402235
(edit)
Last Closed: 2017-10-19 15:01:01 UTC


Attachments (Terms of Use)
console.log (3.87 KB, text/plain)
2017-09-27 04:59 UTC, Abhijeet Kasurde
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2927 normal SHIPPED_LIVE python-cryptography bug fix update 2017-10-19 18:47:10 UTC

Description Oneata Mircea Teodor 2017-08-28 11:46:08 UTC
This bug has been copied from bug #1402235 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 5 Abhijeet Kasurde 2017-09-25 09:31:28 UTC
Christian, Could you please confirm 'Fixed in Version' field for this BZ ?

Comment 7 Abhijeet Kasurde 2017-09-27 04:57:11 UTC
Verified using cryptography version ::
python2-cryptography-1.7.2-1.el7_4.1.x86_64

Marking BZ as verified. Please see attachment for console log.

Comment 8 Abhijeet Kasurde 2017-09-27 04:59 UTC
Created attachment 1331306 [details]
console.log

Comment 10 errata-xmlrpc 2017-10-19 15:01:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2927


Note You need to log in before you can comment on or make changes to this bug.